#!/usr/bin/python3
# DistUpgradeConfigParser.py 
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307

import os
import json

OLD_CONFIG_PATH = '/usr/share/kylin-update-desktop-config/config/kylin-update-desktop-system.json'
NEW_CONFIG_PATH = '/usr/share/kylin-update-desktop-config/kylin-update-generic-config.json'

Jconfig = {}

def refresh():
    global Jconfig
    if os.path.exists(NEW_CONFIG_PATH):
        config_path = NEW_CONFIG_PATH
    else:
        config_path = OLD_CONFIG_PATH
    try:
        with open(config_path,'r') as f:
            Jconfig = json.load(f)
    except Exception as exc:
        Jconfig = {}

def Gconfig(fresh=False):
    if fresh:
        refresh()
    if not Jconfig:
        refresh()
    return Jconfig


if __name__ == "__main__":
    pass
