import subprocess
import logging

def run_system(args,timeout=1):
    try:
        p = subprocess.run(args,timeout=timeout)
        if p.returncode == 0:
            logging.info("run %r to success...",args)
            return True
        else:
            logging.info("run %r to failed...",args)
            return False
    except Exception as exc:
        logging.error(exc)